/*NIGP Text region container*/
.NIGPcontent { display:inline-block; width:100%; }

/*NIGP Title*/
.NIGPtitle { font-size: 16px; margin-top: 15px; margin-bottom: 15px; }

/*Search Regions*/
.CodeSearch { margin-bottom:15px; }
.WordSearch { margin-bottom:20px; }

/*Search boxes and labels*/
.CodeSearch .textside { width: 240px; display: inline-block; margin-right: 10px; vertical-align: top; font-weight: bold;}
.CodeSearch .inputside { display:inline-block; }

.WordSearch .textside { width: 240px; display: inline-block; margin-right: 10px; vertical-align: top; font-weight: bold; }
.WordSearch .inputside { display:inline-block; }

/*Search box input styles*/
.CodeSearch .inputside .CodeInput { border: 1px solid #b7b7b7; height: 18px; background-color: white; width: 160px; font-size: 15px; line-height: 1.2em; padding: 15px; padding-left: 8px; padding-right: 8px; }

.EditMode .CodeSearch .inputside .CodeInput  { display:none; }

.WordSearch .inputside .WordInput { border: 1px solid #b7b7b7; height: 18px; background-color: white; width: 160px; font-size: 15px; line-height: 1.2em; padding: 15px; padding-left: 8px; padding-right: 8px; }

.EditMode .WordSearch .inputside .WordInput { display:none; }

/*Search Buttons*/
.page__content a.CodeButton:link, .page__content a.CodeButton:active, .page__content a.CodeButton:visited, .page__content a.CodeButton:hover{ text-decoration:none; }
.CodeSearch .CodeButton { display: inline-block; padding: 5px; padding-bottom: 1px; padding-top: 2px; text-decoration: none; border: 1px solid #b7b7b7; color: black; background-color: white; }
.EditMode .CodeSearch .CodeButton  { display:none; }
.CodeSearch .CodeButton:hover { background-color:#9C9C9C; text-decoration:none !important; }
.page__content a.WordButton:link, .page__content a.WordButton:active, .page__content a.WordButton:visited, .page__content a.WordButton:hover{ text-decoration:none; }
.WordSearch .WordButton { display: inline-block; padding: 5px; padding-bottom: 1px; padding-top: 2px; text-decoration: none; border: 1px solid #b7b7b7; color: black; background-color: white; }
.WordSearch .WordButton:hover { background-color:#9C9C9C; text-decoration:none !important;  }
.EditMode .WordSearch .WordButton  { display:none; }

/*NIGP Keyword Dropdown List*/
.defaultKeywordText { display:none; }
.EditMode .defaultKeywordText { display:block; }
.keywords { opacity: 0; height: 0px; display: none; font-size: 0px; }
.EditMode .keywords{ opacity:1; display:block; font-size:14px; position:relative; line-height:1.2em; margin-bottom:65px; }
.keywords.show { display:block; opacity:1; animation-name:fadeinkeywords; animation-duration:0.8s; }
@keyframes fadeinkeywords{ from{opacity:0;} to{opacity:1;} }
.keywords select { padding-left:7px; font-size: 15px; line-height: 1.2em; border-radius: 0px; width: 176px; height: 33px; display: inline-block; border: 1px solid #b7b7b7; background-color: white; }

/*Auto complete styles*/
.autocompletelist { position:absolute; display:inline-block; background-color:white; border:1px solid #b7b7b7; border-top:0px; margin-top:-1px; z-index:1; }
.EditMode .autocompletelist { position:relative; display:block; }
.autoComplete { display: none; border-top: 1px solid #b7b7b7; font-size: 15px; padding: 5px; padding-top: 2px; padding-bottom: 1px; color: black; text-decoration: none; min-width: 164px; }
.autoComplete.show{ display:block; }
.autoComplete.show:hover{ background-color:#9C9C9C; text-decoration:none !important; }
.page__content-wrapper .autocompletelist a, .page__content-wrapper .autocompletelist a:active, .page__content-wrapper .autocompletelist a:visited{ text-decoration:none; }
 .page__content-wrapper .autocompletelist a:hover{ text-decoration:none; color:black; }

/*Reset Button*/
.ClearAll { margin-top:15px; }
.EditMode .ClearAll { position: relative; display: block; }
.page__content a.resetButton:link, .page__content a.resetButton:active, .page__content a.resetButton:visited, .page__content a.resetButton:hover{ text-decoration:none; }
.resetButton { display: inline-block; color: black; background-color: white; padding: 2px 5px 1px; text-decoration: none; border-width: 1px; border-style: solid; border-color: rgb(183, 183, 183); border-image: initial; }
.EditMode .resetButton{ display:block; margin-top:10px; margin-bottom:10px; position:relative; }

/*Table Styles*/
.NIGPspeadsheet {display: inline-block; width:100%; max-height: 800px; overflow: auto; border: 1px solid #dadada; background-color:#dadada; font-size:0px; line-height:0px; }
.EditMode .NIGPspeadsheet{ font-size:14px; line-height:1.2em; }
@media print { .NIGPspeadsheet { max-height:auto; max-height:none;  } }

.NIGPspeadsheet table { width: 100% !important; max-width: 100% !important; border-right: 1px solid #dadada !important; border-bottom: 1px solid #dadada !important; font-size: 14px; line-height: 1.2em; display: table !important; word-break:unset !important; }
.NIGPspeadsheet tr{ display:table-row !important; word-break:unset !important; }
.NIGPspeadsheet tr.hide{ display:none  !important; }
.NIGPspeadsheet td{ border-left: 1px solid #dadada !important; min-width:100px; border-top: 1px solid #dadada !important; vertical-align: top; text-align: left; background-color: white; padding: 5px; display:table-cell !important; word-break:unset !important; }
.NIGPspeadsheet a { color:black; text-decoration:none; }
.NIGPspeadsheet a:hover { color:black; text-decoration:none; }
.NIGPspeadsheet a:active { color:black; text-decoration:none; }
.NIGPspeadsheet a:visited { color:black; text-decoration:none; }

